ServerEvents.recipes(event => {

//Iron's Spells Recipe Additions

//Ancient Knowledge Fragment
  event.shaped(
    Item.of('irons_spellbooks:ancient_knowledge_fragment', 4),
    [
      'AAA',
      'CBC',
      'AAA'
    ],
    {
      A: 'minecraft:paper',
      B: 'minecraft:sculk_catalyst',
      C: 'minecraft:netherite_ingot'
    }
  ),

//Ruined Book
  event.shaped(
    Item.of('irons_spellbooks:ruined_book', 1),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'minecraft:echo_shard',
      B: 'irons_spellbooks:arcane_salvage',
      C: 'irons_spellbooks:ancient_knowledge_fragment',
      D: 'minecraft:book'
    }
  ),
//Grimoire of Evokation
  event.shaped(
    Item.of('irons_spellbooks:evoker_spell_book', 1),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'irons_spellbooks:arcane_ingot',
      B: 'irons_spellbooks:epic_ink',
      C: 'minecraft:totem_of_undying',
      D: 'minecraft:book'
    }
  ),
//Rotten Spellbook
  event.shaped(
    Item.of('irons_spellbooks:rotten_spell_book', 1),
    [
      'AAA',
      'BCB',
      'AAA'
    ],
    {
      A: 'minecraft:rotten_flesh',
      B: 'irons_spellbooks:arcane_essence',
      C: 'minecraft:book'
    }
  ),
//Villager Bible
  event.shaped(
    Item.of('irons_spellbooks:villager_spell_book', 1),
    [
      'ABA',
      'CDC',
      'ABA'
    ],
    {
      A: 'minecraft:emerald_block',
      B: 'irons_spellbooks:epic_ink',
      C: 'irons_spellbooks:arcane_ingot',
      D: 'minecraft:book'
    }
  ),
//Permafrost Shard
  event.shaped(
    Item.of('irons_spellbooks:permafrost_shard', 1),
    [
      ' A ',
      'ABA',
      ' A '
    ],
    {
      A: 'minecraft:diamond',
      B: 'minecraft:blue_ice'
    }
  ),

//Blank Rune
  event.shaped(
    Item.of('irons_spellbooks:blank_rune', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'irons_spellbooks:arcane_essence',
      B: 'irons_spellbooks:arcane_ingot',
      C: '#forge:stone'
    }
  )
  
})